Bug 119440 - HTTP-proxy setting is grayed in configuration window while is enabled
HTTP-proxy setting is grayed in configuration window while is enabled
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Depends On:
  Show dependency treegraph
Reported: 2004-03-30 10:42 EST by Victor Ashik
Modified: 2012-06-20 12:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:11:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Victor Ashik 2004-03-30 10:42:29 EST
Description of problem:

rhn-applet uses proxy setting from it's configuration file but when
you try to check this setting by using GUI you see cleared checkbox
and grayed value for http proxy setting.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup Fedora Core 2 Test 1
2. echo httpProxy= > ~/.rhn-applet.conf
3. rhn-applet-gui
4. Right-click on the icon and choose "Configuration..."
5. Click Next twice

Actual results:

Grayed out value of httpProxy
Empty checkbox 

Expected results:

Marked checkbox
httpProxy field available for edit

Additional info:
Comment 1 Benjamin Roberts 2005-11-11 01:15:52 EST
The same bug is present in my system.

Operating system: Red Hat Enterprise Linux 4 WorkStation (32-bit)
rhn-applet version: 2.1.22-4


There is a value for httpProxy present in ~/.rhn-applet.conf. This value is
preserved throughout everything. And it is present in the "HTTP Proxy" box in
the Configure part of rhn-applet.

The effect of this problem is to stop me from being able to update. Specifically:

1. I right-click on the RHN Applet tray icon. When the context menu comes up, I
select "Configure...".

2. I click "Next" until reaching the Proxy setup. I then turn the proxy on. I
don't need to change the contents of the field.

3. When finished, I click "Next" and "Apply". This will check Red Hat and let me
know if there are any updates.

4. If I then go back to "Configure" again, it has disabled the proxy option.
This also seems to prevent checking for updates. As I am behind a proxy server,
then, in default of being able to connect to the server, it simply says "no new
updates found" and gives me the blue tick, even if updates are available.

Is a fix for rhn-applet (or whichever of its supporting packages is broken)
available, or another fix that I can implement locally?

Comment 3 Jiri Pallich 2012-06-20 12:11:34 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.